#!/usr/bin/python3
import os
import settings

path = settings.output_dir

for filename in os.listdir(path):
    file_path = os.path.join(path, filename)
    print("Processing file {}...".format(file_path))

    input_file = open(file_path, 'r')
    input_content = input_file.read()
    input_file.close()

    # replace commas with dots (d0h)!
    input_content = input_content.replace(",", ".")

    # replace 'solid' in the first line with 'solid <filename>'
    input_lines = input_content.splitlines(keepends=True)
    input_lines[0] = "solid " + os.path.splitext(filename)[0]

    print("    Writing contents back to file...")
    output_file = open(file_path, 'w')
    output_file.write(input_content)
    output_file.close()

    print("    Done.")
    