import os

study_dir =  "~/salome-damogranlabs/"
input_file = "~/salome-damogranlabsmodel/model.step"
output_dir = "~/salome-damogranlabs/geometry"

# snappyHexMesh settings
create_domain = False
box = (1, 1, 1) # box dimensions
box_tr = (-0.5, -0.5, -0.5) # box translation
bg_mesh_size = 0.2

regions = [
    {
        'object_name': r'housing',
        'group_name': 'housing',
    },
    {
        'object_name': r'iron',
        'group_name': 'iron',
    },
    {
        'object_name': r'winding1',
        'group_name': 'winding1',
    },
    {
        'object_name': r'winding2',
        'group_name': 'winding2',
    },
    {
        'object_name': r'lid',
        'group_name': 'lid',
    },
]

exclude_objects = [
    r'button.*',
]